#!/bin/sh
# IBM Confidential
# OCO Source Materials
# Rational ClearQuest
# (C) Copyright IBM Corp. 2010. All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#
# Run this batch file to copy the Eclipse plugins of the reporting driver from the shared Installation
# Manager directory to a target directory
# Usage:   
#  copyDriverPlugins <no arguments>   - Copies the ClearQuest driver plugins to the current directory
#  copyDriverPlugins <targetDirectory> - Copies the ClearQuest driver plugins to the targetDirectory    
usage()
{
set echo
echo copyDriverPlugins usage:
echo     copyDriverPlugins "usage" prints this message
echo     copyDriverPlugins "target directory"
unset echo
exit 0
}

end()
{
exit 0
}

copy()
{
PLUGIN_PATH=/opt/ibm/IMShared/plugins
CQ_CORE_LIB=com.ibm.rational.clearquest.core.lib
CQ_JDBC=com.ibm.rational.clearquest.jdbc
CM_LIBRARY=com.ibm.rational.stp
ODA_JDBC=com.ibm.rational.clearquest.oda.jdbc_
ODA_JDBC_NL=com.ibm.rational.clearquest.oda.jdbc.nl1

cp -r $PLUGIN_PATH/$CQ_CORE_LIB* $TARGET_PATH
cp -r $PLUGIN_PATH/$CQ_JDBC* $TARGET_PATH
cp -r $PLUGIN_PATH/$CM_LIBRARY* $TARGET_PATH
cp -r $PLUGIN_PATH/$ODA_JDBC* $TARGET_PATH
cp -r $PLUGIN_PATH/$ODA_JDBC_NL* $TARGET_PATH


unset PLUGIN_PATH
unset CQ_CORE_LIB
unset CQ_JDBC
unset CM_LIBRARY
unset ODA_JDBC
unset ODA_JDBC_NL
}


if [ "$1" = "usage" ]; then usage
exit 0
fi


if [ $# -eq 0 ]; then 
   TARGET_PATH=$pwd
else
   TARGET_PATH=$1
fi

copy
exit 0
